## org.exist.xquery.update
Class Insert

    java.lang.Object
      org.exist.xquery.AbstractExpression
          org.exist.xquery.update.Modification
              org.exist.xquery.update.Insert

All Implemented Interfaces:
  Expression

public class Insert
extends Modification

Author:
  wolf

Field Summary
`static int` `INSERT_AFTER`
`static int` `INSERT_APPEND`
`static int` `INSERT_BEFORE`

Fields inherited from interface org.exist.xquery.Expression
`DOT_TEST, EXPRESSION_ID_INVALID, IGNORE_CONTEXT, IN_PREDICATE, IN_UPDATE, IN_WHERE_CLAUSE, NO_CONTEXT_ID, SINGLE_STEP_EXECUTION`

Constructor Summary
`Insert(XQueryContext context, Expression select, Expression value, int mode)`

Method Summary
`void` `dump(ExpressionDumper dumper)` Write a diagnostic dump of the expression to the passed `ExpressionDumper`.
`Sequence` `eval(Sequence contextSequence, Item contextItem)` Evaluate the expression represented by this object.
`java.lang.String` `toString()`

Methods inherited from class org.exist.xquery.update.Modification
`analyze, commitTransaction, getCardinality, getTransaction, resetState, returnsType`

Methods inherited from class org.exist.xquery.AbstractExpression
`accept, eval, getASTNode, getContextDocSet, getContextId, getDependencies, getExpressionId, setASTNode, setContextDocSet, setPrimaryAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INSERT_BEFORE

    public static final int INSERT_BEFORE

See Also:
  Constant Field Values

### INSERT_AFTER

    public static final int INSERT_AFTER

See Also:
  Constant Field Values

### INSERT_APPEND

    public static final int INSERT_APPEND

See Also:
  Constant Field Values

Constructor Detail

### Insert

    public Insert(XQueryContext context,
                  Expression select,
                  Expression value,
                  int mode)

Parameters:
  `context` -
  `select` -
  `value` -

Method Detail

### eval

    public Sequence eval(Sequence contextSequence,
                         Item contextItem)
                  throws XPathException

  Description copied from interface: `Expression`
  Evaluate the expression represented by this object. Depending on the context in which this expression is executed, either the context sequence, the context item or both of them may be set. An implementing class should know how to handle this. The general contract is as follows: if the `Dependency.CONTEXT_ITEM` bit is set in the bit field returned by `Expression.getDependencies()`, the eval method will be called once for every item in the context sequence. The contextItem parameter will be set to the current item. Otherwise, the eval method will only be called once for the whole context sequence and contextItem will be null. eXist tries to process the entire context set in one, single step whenever possible. Thus, most classes only expect context to contain a list of nodes which represents the current context of the expression. The position() function in XPath is an example for an expression, which requires both, context sequence and context item to be set. The context sequence might be a node set, a sequence of atomic values or a single node or atomic value.

  Specified by:
    `eval` in interface `Expression`
  Specified by:
    `eval` in class `AbstractExpression`
  Throws:
    `XPathException`

### dump

    public void dump(ExpressionDumper dumper)

  Description copied from interface: `Expression`
  Write a diagnostic dump of the expression to the passed `ExpressionDumper`.

  Parameters:
    `dumper` - the expression dumper to write to

### toString

    public java.lang.String toString()

Copyright (C) Wolfgang Meier. All rights reserved.